
%define srcsite http://www.w3.org/Tools/HTML-XML-utils

Name: html-xml-utils
Version: 3.0
Release: alt3

Summary: A number of simple utilties for manipulating HTML and XML files
License: GPL
Group: System/Base
Url: http://ilya-evseev.narod.ru/posix/%name
Source0: %srcsite/html-xml-utils-3.0.tar.gz
Source1: README.alt

Summary(ru_RU.KOI8-R):      XML-  HTML-

%description
A number of simple utilties for manipulating HTML and XML files:
  * cexport (1)    - create headerfile of exported declarations from a C file
  * addid (!1)     - add ID's to selected elements
  * cite (1)       - replace bibliographic references by hyperlinks
  * cite-mkbib (1) - expand references and create bibliography
  * count (1)      - count elements and attributes in HTML or XML files files
  * extract (!1)   - extract selected elements
  * htmlclean (1)  - apply heuristics to correct an HTML file
  * htmlprune (1)  - remove marked elements from an HTML file
  * incl (!1)      - expand included HTML or XML files
  * index (!1)     - create an alphabetically sorted index
  * mkbib (1)      - create bibliography from a template
  * multitoc (1)   - create a table of contents for a set of HTML files
  * normalize (!1) - pretty-print an HTML file
  * num (!1)       - number section headings in an HTML file
  * pipe (!1)      - convert XML to a format easier to parse with Perl or AWK
  * printlinks (1) - number links & add table of URLs at end of an HTML file
  * toc (1)        - insert a table of contents in an HTML file
  * uncdata (1)    - replace CDATA sections by character entities
  * unent (!1)     - replace HTML predefined character entities to UTF-8
  * unpipe (!1)    - convert output of pipe back to XML format
  * wls (1)        - list links in an HTML file
  * xmlns (1)      - replace XML Namespace prefixes by "global names"
  * xmlrecode, asc2xml, xml2asc (1) - convert between UTF8 and &#nnn; entities
  * xref (1)       - generate cross-references
  * xselect (1)    - extract elements that match a (CSS) selector

Original site is here: %srcsite

Files marked by "(!)" are renamed in this package from xxx to xxx-html
for preventing possible naming conflicts.
Keep this in mind when read manual pages, etc.

%prep
%setup -q
%__cp -a %SOURCE1 .

%build
%configure
%make_build

%install
DESTDIR=%buildroot %make_install install
for f in addid extract incl index normalize num pipe unent unpipe; do
    cd %buildroot%_bindir
    mv $f $f-html
    cd %buildroot%_man1dir
    [ -e $f.1 ] && mv $f.1 $f-html.1
done

%files
%_bindir/*
%_man1dir/*
%doc README AUTHORS ChangeLog TODO README.alt

%changelog
* Sat Jul 10 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-alt3
- replace dirnames by filepatterns in %files section for preventing
  package intersections (directories are already owned by main systems)

* Tue Jul  6 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-alt2
- specfile fixups for compatibility with ALTLinux Specfile Convention
- added README.alt

* Tue Jun 15 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-1
- Initial RPM build

## EOF ##
